Eastern Front is a free mod for Company of Heroes. Following the ethos of mimicking a Relic Entertainment expansion pack, Eastern Front has succeeded in adding two full new factions, the Soviet Red Army and the German Ostheer, packed with unique and exciting units to the existing armies - a feat never before achieved in the Company of Heroes world.

Report abuse Eastern Front Compatibility Patch for CoH 2.602
Filename
EF_2602_compability.exe
Type
Patch
Uploader
blackbishop
Date
Mar 13th, 2014
Size
0.35mb (371,129 bytes)
Downloads
10,045 (24 today)
Embed Button
Mirrors
Download now
Description

If you don't want to play EF in the old 2.602 version, just avoid this patch.


Hello comrades,

Because you asked, here it is! Installing this patch will allow you to play the latest version of Eastern Front using the latest version(2.602) of the Company of Heroes game(before was moved into Steam).

This patch is to be used with the following versions of the game:

* Retail version patched up to 2.602.
* Steam version of Company of Heroes.
* Steam version of Company of Heroes: Opposing Fronts.
* Steam version of Company of Heroes: Tales of Valor.

NOT TO BE USED ON:

* Retail version patched with a version lower than 2.602.
* New Steam version of Company of Heroes.

Instructions:
1) Get the latest version of Eastern Front mod and download any additional patches if necessary.
2) Download the installer from this page.
3) Run it, follow the instructions and make sure you are using the correct path.
4) PROFIT??? Play it as much as you want!

IMPORTANT  NOTES:

1) It won't affect the newest version of Company of Heroes on Steam unless you install it there.

2) Once the patch is  installed, if you want to rollback you will need to reinstall Eastern Front.

3) Remember, this patch IS NOT for the new version of Company of Heroes on Steam.

4) ALWAYS install this patch at the end of the patching process, after all the regular patches have been installed.

Preview Image
Eastern Front Compatibility Patch for CoH 2.602
Post comment Comments
Guest
Guest Mar 13 2014, 2:07pm says:

This comment is currently awaiting admin approval, join now to view.

Guest
Guest Mar 13 2014, 2:10pm says:

This comment is currently awaiting admin approval, join now to view.

blackbishop
blackbishop Mar 13 2014, 6:07pm replied:

@Guest
Glad to hear it worked :)!

+1 vote     reply to comment
Gato89
Gato89 Mar 18 2014, 3:39pm replied:

bishop black hello I have a question as I install the version 2.10 when I ask a different path that I have quickly install the company of heroes in version 2.602

+1 vote     reply to comment
blackbishop
blackbishop Mar 18 2014, 6:35pm replied:

@Gato89
If you want to install the full version in a different path rather than the default one, just change it on the installer. But make sure you are using the right path.

Then run the launcher and let it download the rest of the patches. Then download this file and install it.

+1 vote     reply to comment
Gato89
Gato89 Mar 18 2014, 9:41pm replied:

If in fact if I did this is the path C: games / thq / company of heroes I install and downloaded the patches, install the compatibility patch and stops working the luncher not happens or where you need to install the compatibility patch pedes me help you

+1 vote     reply to comment
blackbishop
blackbishop Mar 19 2014, 6:20pm replied:

@Gato89
Veo que eres de México, entonces no tiene caso escribirnos en inglés, por el momento. Tienes que ejecutar el programa con derechos de administrador, de otra forma no va a funcionar correctamente.

Tothepc.com

Eso funciona para windows vista, 7 y 8 ¿o tienes windows XP?

+1 vote     reply to comment
Guest
Guest Mar 28 2014, 5:58am replied:

This comment is currently awaiting admin approval, join now to view.

blackbishop
blackbishop Apr 11 2014, 1:58pm replied:

@Guest
What error? If you mean, the game still crashes, then means you are doing it wrong... whether you are trying to use this patch with a CoH version that IS NOT 2.602 or you are installing it in a wrong path.

The patch will always work because all 2.602 versions are the same.

+1 vote     reply to comment
cachorrolokko
cachorrolokko Jun 14 2014, 1:01pm replied:

when i start the Eastern Fronts take time to open: ok
when i start the skirmish: no crashes
when i play for like 5 minutes it crash

quando eu inicio o Eastern Fronts demora um tempo para abrir: ok
quando eu começo a jogar o skirmish : não crasha
eu jogo por uns 5 minutos e o jogo crasha

+1 vote     reply to comment
Gato89
Gato89 Apr 3 2014, 11:31pm replied:

Si soy de mexico pero sigue sin funcionar se actualiza hasta la ultima version y todo el mod pero al momento de parcharlo con el fix de compatibilidad deja de funcionar el icono de aplicacion y ya no se puede hacer nada asi que tienen que estar mal programado el fix porque en vez de solucionar lo arruina

+1 vote     reply to comment
blackbishop
blackbishop Apr 11 2014, 2:08pm replied:

@Gato89
Eso significa que lo estás haciendo mal. El parche es independiente del lanzador, por lo tanto no modifica en nada del programa y lo único que hace es reemplazar un archivo que no se usa hasta que se carga el juego.

En otras palabras, si tu lanzador no funciona después de que instalas el parche, es cosa de tu PC y no del instalador. Puedo echarle un vistazo usando Team Viewer si asi lo prefieres.

+1 vote     reply to comment
Gato89
Gato89 Jun 26 2014, 7:38pm replied:

Ya deje de intertarle no puede encontrar la ubicación ni el acceso directo que sea crea ni la aplicación dentro de la carpeta del coh oye una pregunta me podrías ayudar para sacar mas unidades de las que puedo en un mod

+1 vote     reply to comment
Shogun26
Shogun26 Mar 13 2014, 8:08pm says:

Please help me , what version of eastern front must install it to play with the new patch?

+1 vote     reply to comment
BurroDiablo
BurroDiablo Mar 14 2014, 5:11am replied:

To play with the New Steam Version, go here -> Moddb.com

+1 vote     reply to comment
Jennings17soco
Jennings17soco Mar 14 2014, 11:18am says:

do we have to download this separate, or will the eastern front launcher do it for us?

+1 vote     reply to comment
blackbishop
blackbishop Mar 14 2014, 12:39pm replied:

@Jennings17soco
Nope. You need to download it and install it if it suits your needs.

+1 vote     reply to comment
Avatus07
Avatus07 Mar 14 2014, 8:19pm says:

Okay. Let me get this straight.

I install this patch for the NON-steam version. (CoH 2.602 on steam)

Then, I proceed to redownload this Moddb.com, and install into the regular steam CoH file directory. Run like normal.

Is this the correct way?

+1 vote     reply to comment
Avatus07
Avatus07 Mar 14 2014, 8:25pm replied:

@Moddb.com = Eastern Front 2.10 FULL (Ostheer!)

+1 vote     reply to comment
dArCReAvEr
dArCReAvEr Mar 18 2014, 5:52am replied:

No. First install eastern front. Then start up Eastern Front, and patch Eastern front to the newest version. THEN install this patch.

+2 votes     reply to comment
Avatus07
Avatus07 Mar 25 2014, 2:56pm replied:

Okay, but I'm I still installing it to the non-steam version, or to the steam version. Just making sure. ^_^

+1 vote     reply to comment
dArCReAvEr
dArCReAvEr Apr 9 2014, 1:35pm replied:

It's only needed if you want to play Eastern Front using Tales of Valor 2.602. If you want to use steam version (company of heroes relaunch) you do NOT need this patch...

Guess why it's called "Eastern Front Compatibility Patch for CoH 2.602" ...

+1 vote     reply to comment
damonhoppe
damonhoppe Mar 15 2014, 9:24am says:

My Steam installation automatically updated to the very latest patch and now EF no longer works (it keeps crashing randomly at the early stages of the game). I am tempted to uninstall and install the retail version again using this patch so I can play this fantastic mod (I prefer it to the original game). Before I do this is there a patch for the Latest Steam Version under development? Should wait for this to come out?? Or is this it, the current developers have broken it and we must wait for them to fix if they can be bothered?

+1 vote     reply to comment
dArCReAvEr
dArCReAvEr Mar 18 2014, 5:51am replied:

Just patch Easternfront with the EF_launcher. We published an update that fixed the crashes and you can play Eastern Front with the newest steam patch.

+2 votes     reply to comment
Guest
Guest Mar 18 2014, 2:13am says:

This comment is currently awaiting admin approval, join now to view.

dArCReAvEr
dArCReAvEr Mar 18 2014, 5:49am replied:

If you first install Eastern Front, then patch it to the newest version with the launcher and then download + install this fix it will work with 2.602, yes.

+1 vote     reply to comment
Anathor
Anathor Mar 22 2014, 4:38pm says:

Thank u very much guys I<3U

+1 vote     reply to comment
Guest
Guest Mar 26 2014, 6:38pm says:

This comment is currently awaiting admin approval, join now to view.

blackbishop
blackbishop Mar 27 2014, 1:08pm replied:

@Guest
You need to install this patch by yourself if you haven't done it. Also, make sure you install it at the end after installing everything else.

+1 vote     reply to comment
Avatus07
Avatus07 Mar 27 2014, 11:53pm says:

Hello.. Sorry to bother again, but I attempted the steps a couple of times but all the times I would run the launcher, it would show a message saying that it wasn't working basically.

Steps:
1.) Download the recent Full Version of the Mod.
2.) Download the compatibility patch.
3.) Run and install the Full Version of the Mod into

C:\Program Files (x86)\Steam\SteamApps\common\Company of Heroes\

and then all the support patches that followed (about 5 or 6 of them) into the same directory.

4.) After that, I continued to run and install the compatibility patch into the same directory as well.

5.) Click the EF Launcher, followed by a error message saying:

Eastern Front Launcher has stopped working...
Windows is checking for a solution, etc.

Did I follow the right steps?

Thanks for any help. Would really like to start playing the best CoH Mod out there. :3

+1 vote     reply to comment
Alex250
Alex250 Mar 29 2014, 6:48pm says:

A lot of THANKS!!!!

+1 vote     reply to comment
Zagon
Zagon Apr 4 2014, 10:28am says:

hi ppl, i have a question to do, i can't play neither ostheer neither with soviets, it appears na incon lock, can u help me?

+1 vote     reply to comment
PhantomFx
PhantomFx Apr 10 2014, 11:38am says:

Hi! Can you please help me with this issue?
I have Company of Heroes Tales of Valor version 2.602 installed.
Then I did everything in the following order:
1. I downloaded Eastern Front 2.10 FULL (Ostheer!) and installed it.
2. I used the Launcher to update the Mod up to version 2.2.2.0.
3. I installed "Eastern Front Compatibility Patch for CoH 2.602".

I tried to launch the game but I get an error message which says something similar to: "Can't find the Company of Heroes Directory!".
I should probably mention that I DO NOT have the STEAM VERSION!
Do you have any idea why this may be happening, must I really have the steam version (2.700) installed ?

Thanks in advance!

+1 vote     reply to comment
PhantomFx
PhantomFx Apr 12 2014, 11:30pm replied:

The issue has been resolved. Apparently the launcher "Settings" menu indeed had a "Coh Directory" text field that was blank and should have been filled with the corresponding Company of Heroes installation path.
Thank you for your assistance.

+1 vote     reply to comment
Guest
Guest Jul 31 2014, 6:20am replied:

This comment is currently awaiting admin approval, join now to view.

vjeks
vjeks Aug 19 2014, 12:43pm replied:

I hawe same problem ??
what goes where ??

+1 vote     reply to comment
Guest
Guest Apr 21 2014, 11:20am says:

This comment is currently awaiting admin approval, join now to view.

Guest
Guest Apr 21 2014, 12:07pm replied:

This comment is currently awaiting admin approval, join now to view.

Guest
Guest Apr 28 2014, 11:08am says:

This comment is currently awaiting admin approval, join now to view.

hai699669996
hai699669996 May 21 2014, 11:41am says:

can somebody send me how to install this, I have no clue
I download CoH:ToV from Pirate, :D

+1 vote     reply to comment
nickthehunter
nickthehunter May 21 2014, 2:23pm says:

can i do this myself to to other mods(i mean if i change the location of a shortcut and something like this or you need programms and more complicated things to make it compatible)?

+1 vote     reply to comment
Estiqatsi
Estiqatsi Jun 11 2014, 8:22am says:

It's truly great that you now distribute this "Backwards Compatiblity Patch" on Moddb, so it's easy to be found and feels official.
I vividly remember my quest on the offical forums to get hold of this.
Sure the New Steam Version is for use of Multiplayer play, and thats great, but i am glad you also make it possible to run the latest Eastern Front Version on the old THQ relese.
I hope you continue to distribute this file at this place for future releases!

0 votes     reply to comment
Ramon_Velasco
Ramon_Velasco Sep 8 2014, 2:18pm says:

Will it work with the latest version?

+1 vote     reply to comment
yerfdude
yerfdude Sep 13 2014, 8:02pm says:

have done all as required but the game still crashes about 1 minute in,starting to lose the plot.Version 2.2.1.0 plus comp patch

+1 vote     reply to comment
dArCReAvEr
dArCReAvEr Sep 14 2014, 4:12am replied:

You only need this patch if you want to play with Tales of Valor 2.602. If you`re playing with the new steam version you do not need this patch.

+1 vote     reply to comment
Guest
Guest Sep 14 2014, 12:24am says:

This comment is currently awaiting admin approval, join now to view.

yerfdude
yerfdude Sep 15 2014, 6:03am says:

am using 2.602 non steam version,campaign plays ok but crashes in skirmish mode only..and that's why we play this right!

+1 vote     reply to comment
rllanes
rllanes Sep 15 2014, 10:05am says:

Hello there i recently download the EF 2.2.2.0 patch i have TOV 2.602 no steam so i apply the compatibility patch everything OK ... but i used to play EF LAN games with my father i now i cant get it to work i cant see multiplayer LAN games created is this issue related to the updated ... my previous EF version was 1.4

thanks in advance

+1 vote     reply to comment
rllanes
rllanes Sep 16 2014, 1:14pm says:

someone help please

+1 vote     reply to comment
rllanes
rllanes Sep 19 2014, 9:03am says:

hello everyone ... is this thread closed or just anybody doesnt know how to help me???

+1 vote     reply to comment
Post a Comment
click to sign in

You are not logged in, your comment will be anonymous unless you join the community today (totally free - or sign in with your social account on the right) which we encourage all contributors to do.

2000 characters limit; HTML formatting and smileys are not supported - text only

Icon
Company of Heroes: Opposing Fronts Icon
Platform
Windows
Contact
Send Message
Official Page
EasternFront.org
Release Date
Released Jan 19, 2010
Mod Watch
Track this mod
Download
Browse
Downloads
Add Download
Members only
Report Abuse
Report download
MD5 Hash
6b045f15e1da4a643016879c077d806a
Related Mods
Company of Heroes: Eastern Front (Company of Heroes: Opposing Fronts)
Company of Heroes: Eastern Front Company of Heroes: Opposing Fronts - Single & Multiplayer Real Time Strategy
Related Games
Company of Heroes: Opposing Fronts
Company of Heroes: Opposing Fronts Single & Multiplayer Real Time Strategy
Related Groups
Archaic Entertainment
Archaic Entertainment Developer & Publisher with 16 members